import { JSX } from "solid-js";
export declare function isTrivialHref(href?: string): boolean;
export interface AnchorProps extends JSX.HTMLAttributes<HTMLAnchorElement> {
    href?: string;
    disabled?: boolean;
    tabIndex?: string | number;
    target?: string;
}
/**
 * An generic `<a>` component that covers a few A11y cases, ensuring that
 * cases where the `href` is missing or trivial like "#" are treated like buttons.
 */
declare const Anchor: (props: AnchorProps) => JSX.Element;
export default Anchor;
