import { Accessor } from "solid-js";
export declare type Handler = (...args: any[]) => any;
/**
 * Either returns passed in [value, handler] or creates a signal to control value.
 *
 * @param propValue if controlled
 * @param defaultValue optional default if value not controlled
 * @param handler called in both modes
 * @returns
 */
export declare function createControlledProp<TProp, THandler extends Handler = Handler>(propValue: Accessor<TProp | undefined>, defaultValue: Accessor<TProp | undefined>, handler?: THandler): readonly [() => TProp | undefined, THandler];
